Skip to main content
POST
/
v2
/
wms
/
{warehouseId}
/
picklists
Create Pick List
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/wms/{warehouseId}/picklists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "pickListTemplateId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "picklistNumber": "<string>",
  "pickListTemplateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "pickListTemplateName": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

warehouseId
string<uuid>
required

The id of the wms warehouse where the pick list should be created.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The relevant information to create a picking list.

Model Class: CreatePickList

pickListTemplateId
string<uuid>

Id of the pick list template that created the pick list.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the created pick list.

Model Class: PickList

id
string<uuid>

Internal unique id of the pick list. This is not the same as the pick list number.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

warehouseId
string<uuid>

Id of the Warehouse.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

picklistNumber
string

Number of the pick list. This can be resetted in JTL-Wawi, but is always used for printing and showing the pick list in the UI.

pickListTemplateId
string<uuid>

Id of the pick list template that created the pick list.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

pickListTemplateName
string

Name of the pick list template that created the pick list.

status
enum<integer>

Status of the pick list.

Available options:
10,
11,
20,
30,
40
createdAt
string<date-time>

Time when the pick list was created.